package com.blueland.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.blueland.bo.SysTimetaskEntity;
import com.blueland.model.TPfSysTimetask;

import java.util.List;
import java.util.Map;

/**
 * @auther xcy
 * @create 2022-05-09 15:28
 */
public interface SysTimetaskService extends IService<TPfSysTimetask> {

    Page<SysTimetaskEntity> findSysTimetaskPageListByParams(Map<String,Object> tagSysTimetask, int curPage, int pageSize);

    TPfSysTimetask get(SysTimetaskEntity bo);

    List<SysTimetaskEntity> findList(SysTimetaskEntity bo);

    Page<SysTimetaskEntity> findPage(SysTimetaskEntity bo);

    Long count(SysTimetaskEntity bo);
}
